/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with this
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hli@hendriklipka.de
*/
package de.hendriklipka.iwg.data;

public class MethodDescriptor implements Comparable
{
    public String _name=null;
    public String _returnType="void";
    public String[] _exceptions=null;
    public ParameterDescriptor[] _params=null;
    public boolean _isPublic=true;
    public boolean _isSynchronized=false;
    public String _fieldName=null;
    public String _origin=null;

    public String getSignature()
    {
        StringBuffer sb=new StringBuffer(_name);
        sb.append("(");
        for (int i = 0; i < _params.length; i++)
        {
            ParameterDescriptor param = _params[i];
            sb.append(param._type+",");
        }
        return sb.toString();
    }

    public int compareTo(Object o)
    {
        return getSignature().compareTo(((MethodDescriptor)o).getSignature());
    }
}
